Serveur Minecraft sur raspberry Pi


#1

Bonjour,
Suite a cette article : https://raspbian-france.fr/installer-serveur-minecraft-raspberry-pi/comment-page-4/?unapproved=74657&moderation-hash=aa0c22551d4f9182f61309bc1aebba64#comment-74657 j’aurais besoin d’une petite aide, notamment pour lancer le serveur minecraft.

sudo java -Xms512M -Xmx1008M -jar /home/minecraft/spigot-x.x.jar nogui
Sur cette ligne, par quoi dois je remplacer x.x ? Ou puis je trouver la version correspondante ?
Merci d’avance


#2

Bonjour,

si tu as bien suivi le tuto, alors ce que tu cherches existe déja sur ta machine
lorsque que tu écrira la prochaine fois cette ligne, une fois arrivée au mot spigot , utilise la touche tabulation de ton clavier, ca fera fonctionner ce qui s’appelle l’auto-complétion et ira chercher tout ce qui commence par spigot dans ce chemin.
Si apres un tabulation il ne se passe rien c’est parceque tu as 2 occurences ou plus qui commencent par spigot, donc, fais 2 tabulation et ca te listera lesdites occurences.
A toi de rajouter le début la sequence qu’il manque et refaire un tabulation pour completer,

C’est pratique et ca evite les fautes de frappes !!

Courage


#3

Merci de ta reponse !
Entre temps j’ai vu que j’avais un soucis d’installation quelque part parce que je n’ai pas le fichier spigot…
Je ne sais pas d’ou cela peux venir…


#4

Lorsque j’utilise la commande suivante : “java -Xmx1024M -jar BuildTools.jar --rev 1.7.10” j’ai l’erreur suivante :

Loading BuildTools version: git-BuildTools-6fc608d-96 (#96)
Java Version: Java 8
Exception in thread “main” joptsimple.UnrecognizedOptionException: X is not a recognized option
at joptsimple.OptionException.unrecognizedOption(OptionException.java:108)
at joptsimple.OptionParser.validateOptionCharacters(OptionParser.java:633)
at joptsimple.OptionParser.handleShortOptionCluster(OptionParser.java:528)
at joptsimple.OptionParser.handleShortOptionToken(OptionParser.java:523)
at joptsimple.OptionParserState$2.handleArgument(OptionParserState.java:59)
at joptsimple.OptionParser.parse(OptionParser.java:396)
at org.spigotmc.builder.Builder.main(Builder.java:139)
at org.spigotmc.builder.Bootstrap.main(Bootstrap.java:40)

Que dois-je faire ?


#5

Je n’ai jamais installé de serveur minecraft par contre, désolé de pas pouvoir plus t’aider, surtout que cette erreur ne m’est pas parlante !

un autre spécialiste arrivera surement ici

courage